> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily integration log counts from ClickHouse



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/integration/logs/clickhouse/daily
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/logs/clickhouse/daily:
    post:
      tags:
        - Integration
      summary: Get daily integration log counts from ClickHouse
      operationId: IntegrationController_getClickhouseIntegrationLogsDailyCount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationLogSearchDailyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClickhouseIntegrationLogDailyCount'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    IntegrationLogSearchDailyDto:
      type: object
      properties:
        timezone:
          type: string
          description: Timezone for daily log aggregation
        filter:
          type: string
          enum:
            - error
            - warning
            - info
            - debug
          description: Filter daily logs by type
        integrationId:
          type: string
          description: ID of the integration for daily log search
        search:
          type: string
          description: Search term for filtering logs
        day:
          type: string
          description: Specific day for daily log search
      required:
        - integrationId
    ClickhouseIntegrationLogDailyCount:
      type: object
      properties:
        day:
          type: string
          description: Day of the aggregation
        group:
          type: object
          description: Log type group
        count:
          type: number
          description: Count of logs for the day/type
      required:
        - day
        - group
        - count
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````